io.milvus.orm.iterator

## Class IteratorCache

- java.lang.Object
- - io.milvus.orm.iterator.IteratorCache

    public class IteratorCache
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IteratorCache()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cache(int cacheId, java.util.List<QueryResultsWrapper.RowRecord> result)`
`java.util.List<QueryResultsWrapper.RowRecord>` `fetchCache(int cacheId)`
`void` `releaseCache(int cacheId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IteratorCache

    public IteratorCache()

### Method Detail

#### cache

    public int cache(int cacheId,
                     java.util.List<QueryResultsWrapper.RowRecord> result)

#### fetchCache

    public java.util.List<QueryResultsWrapper.RowRecord> fetchCache(int cacheId)

#### releaseCache

    public void releaseCache(int cacheId)